/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.format.annotation.NumberFormat;

/**
 * 工程费用Entity
 * @author ssrh
 * @version 2018-06-05
 */
public class WorkContentInvestmentCost extends DataEntity<WorkContentInvestmentCost> {
	
	private static final long serialVersionUID = 1L;
	private String projectId;		// 项目id
	private String contentId;		// 工作内容ID
	private String costType;		// 类型：估算-1、概算-2、预算-3
	private String costNum;		// 编号
	private String costName;		// 工程费用名称
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double buildindCost;		// 建筑工程费
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double equipmentCost;		// 设备购置费
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double installationCost;		// 安装工程费
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double otherExpenses;		// 其他费用
    @NumberFormat(style = NumberFormat.Style.CURRENCY)
	private Double totalCost;		// 合计（万元）
	private Integer count;		// 数量
	private String unit;		// 单位
	private String target;		// 指标
	private String expenseType;		// 费用类型
	private String nodeTypes;		// 节点类型
	
	public WorkContentInvestmentCost() {
		super();
	}

	public WorkContentInvestmentCost(String id){
		super(id);
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	
	public String getCostType() {
		return costType;
	}

	public void setCostType(String costType) {
		this.costType = costType;
	}
	
	@ExcelField(title="编号", align=2, sort=10)
	public String getCostNum() {
		return costNum;
	}

	public void setCostNum(String costNum) {
		this.costNum = costNum;
	}
	
	@ExcelField(title="工程费用名称", align=2, sort=11)
	public String getCostName() {
		return costName;
	}

	public void setCostName(String costName) {
		this.costName = costName;
	}
	
	@ExcelField(title="建筑工程费", align=2, sort=12)
	public Double getBuildindCost() {
		return buildindCost;
	}

	public void setBuildindCost(Double buildindCost) {
		this.buildindCost = buildindCost;
	}
	
	@ExcelField(title="设备购置费", align=2, sort=13)
	public Double getEquipmentCost() {
		return equipmentCost;
	}

	public void setEquipmentCost(Double equipmentCost) {
		this.equipmentCost = equipmentCost;
	}
	
	@ExcelField(title="安装工程费", align=2, sort=14)
	public Double getInstallationCost() {
		return installationCost;
	}

	public void setInstallationCost(Double installationCost) {
		this.installationCost = installationCost;
	}
	
	@ExcelField(title="其他费用", align=2, sort=15)
	public Double getOtherExpenses() {
		return otherExpenses;
	}

	public void setOtherExpenses(Double otherExpenses) {
		this.otherExpenses = otherExpenses;
	}
	
	@ExcelField(title="合计（万元）", align=2, sort=16)
	public Double getTotalCost() {
		return totalCost;
	}

	public void setTotalCost(Double totalCost) {
		this.totalCost = totalCost;
	}
	
	@ExcelField(title="数量", align=2, sort=17)
	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}
	
	@ExcelField(title="单位", align=2, sort=18)
	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}
	
	@ExcelField(title="指标", align=2, sort=19)
	public String getTarget() {
		return target;
	}

	public void setTarget(String target) {
		this.target = target;
	}
	
	@ExcelField(title="费用类型", align=2, sort=20)
	public String getExpenseType() {
		return expenseType;
	}

	public void setExpenseType(String expenseType) {
		this.expenseType = expenseType;
	}
	
	@ExcelField(title="节点类型", align=2, sort=21)
	public String getNodeTypes() {
		return nodeTypes;
	}

	public void setNodeTypes(String nodeTypes) {
		this.nodeTypes = nodeTypes;
	}
	
}